from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class BreakType(IntEnum):
    NONE = auto()
    COLUMN_BEFORE = auto()
    COLUMN_AFTER = auto()
    COLUMN_BOTH = auto()
    PAGE_BEFORE = auto()
    PAGE_AFTER = auto()
    PAGE_BOTH = auto()
